# value

abstract fun value(@Nullable elements: @Nullable Iterable<out T>): HasMultipleValues<T>

Sets the value of the property to the elements of the given iterable, and replaces any existing value. This property will query the elements of the iterable each time the value of this property is queried.

This is the same as set but returns this property to allow method chaining.

#### Return

this

#### Since

5.6

#### Parameters

elements

The elements, can be null.

abstract fun value(provider: Provider<out Iterable<out T>>): HasMultipleValues<T>

Sets the property to have the same value of the given provider, and replaces any existing value. This property will track the value of the provider and query its value each time the value of this property is queried. When the provider has no value, this property will also have no value.

This is the same as set but returns this property to allow method chaining.

#### Return

this

#### Since

5.6

#### Parameters

provider

Provider of the elements.